SpeciesDiscoveryPortlet (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.portlet

## Class SpeciesDiscoveryPortlet

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.gcube.portlets.user.speciesdiscovery.portlet.SpeciesDiscoveryPortlet

- All Implemented Interfaces:
    javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

      public class SpeciesDiscoveryPortlet
      extends javax.portlet.GenericPortlet

  Author:
    Federico De Faveri defaveri@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSP_FOLDER` JSP folder name
    `protected org.apache.log4j.Logger` | `logger`
    `static String` | `VIEW_JSP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpeciesDiscoveryPortlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `destroy, doDispatch, doEdit, doHeaders, doHelp, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, init, processAction, processEvent, render, serveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.apache.log4j.Logger logger

    - #### JSP_FOLDER

          public static final String JSP_FOLDER

      JSP folder name
      See Also:
        Constant Field Values

    - #### VIEW_JSP

          public static final String VIEW_JSP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpeciesDiscoveryPortlet

          public SpeciesDiscoveryPortlet()

  - ### Method Detail

    - #### doView

          public void doView(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doView` in class `javax.portlet.GenericPortlet`
      Parameters:
        `request` - .
        `response` - .
      Throws:
        `IOException` - .
        `javax.portlet.PortletException` - .

Copyright © 2013. All Rights Reserved.